classification
Title: Unusual Windows registry path syntax
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZackerySpytz, cheryl.sabella, chrullrich, docs@python, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: low Keywords: patch

Created on 2017-06-09 09:33 by chrullrich, last changed 2020-10-20 12:23 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20281 merged ZackerySpytz, 2020-05-21 05:39
PR 22815 merged miss-islington, 2020-10-20 12:01
PR 22816 merged miss-islington, 2020-10-20 12:01
Messages (8)
msg295505 - (view) Author: Christian Ullrich (chrullrich) * Date: 2017-06-09 09:33
In 3.6.1, the manual, section 3.1.3, has this to say:

"Your administrator will need to activate the “Enable Win32 long paths” group policy, or set the registry value HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\FileSystem@LongPathsEnabled to 1."

Separating a value name from the key path with an @-sign, which is what the above is doing, is something I have never before seen anywhere. I suggest changing it by either:

- replacing the instructions for the manual change with a link to <https://msdn.microsoft.com/en-us/library/windows/desktop/aa365247(v=vs.85).aspx#maxpath> or a more suitable reference (I could not find a KB article when I looked)

- rewording it as, e.g.,

  ... in the registry key HKEY_...FileSystem, set the REG_DWORD value LongPathsEnabled to 1

  The value type could be left out; the value is predefined on all platforms where it will be effective.
msg295555 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-06-09 17:11
Pull requests welcome, but as someone who lives in the Windows API day in and day out, I can vouch for it being the normal abbreviated way of specifying a fully qualified registry value.
msg295557 - (view) Author: Christian Ullrich (chrullrich) * Date: 2017-06-09 17:17
Out of curiosity, can you point me to an example or two?

I have been living with, though not in, Win32 for quite a few years myself, and I can say with certainty that I have never seen this notation before in my life.

Other than that, PR on the way soonish.
msg295558 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-06-09 17:24
There's a handful of references in https://docs.microsoft.com/en-us/visualstudio/ide/walkthrough-creating-a-multiple-computer-build-environment, though TBH most of the docs written by actual doc writers use more complicated sentences to avoid it.

It's also the syntax used by MSBuild, which is probably mostly why I think it's normal.
msg339865 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-04-10 14:02
@chrullrich, were you still interested in creating a PR for this?  Thanks!
msg379117 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-10-20 12:01
New changeset ff1ae3dd334faa2006394c2318db385cdc42030a by Zackery Spytz in branch 'master':
bpo-30612: Tweak Windows registry path syntax in the docs (GH-20281)
https://github.com/python/cpython/commit/ff1ae3dd334faa2006394c2318db385cdc42030a
msg379119 - (view) Author: miss-islington (miss-islington) Date: 2020-10-20 12:11
New changeset f53ea8adaecacfe8c1e4a093136fb5318b15d779 by Miss Skeleton (bot) in branch '3.8':
bpo-30612: Tweak Windows registry path syntax in the docs (GH-20281)
https://github.com/python/cpython/commit/f53ea8adaecacfe8c1e4a093136fb5318b15d779
msg379121 - (view) Author: miss-islington (miss-islington) Date: 2020-10-20 12:23
New changeset bd9d76bbbb9eb226d99e186dae39e06ba8977485 by Miss Skeleton (bot) in branch '3.9':
bpo-30612: Tweak Windows registry path syntax in the docs (GH-20281)
https://github.com/python/cpython/commit/bd9d76bbbb9eb226d99e186dae39e06ba8977485
History
Date User Action Args
2020-10-20 12:23:43miss-islingtonsetmessages: + msg379121
2020-10-20 12:11:28miss-islingtonsetmessages: + msg379119
2020-10-20 12:01:39miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21772
2020-10-20 12:01:28steve.dowersetstatus: open -> closed
nosy: - miss-islington
resolution: fixed
stage: patch review -> resolved
2020-10-20 12:01:28miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21771
2020-10-20 12:01:16steve.dowersetmessages: + msg379117
2020-05-21 05:39:26ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request19558
stage: patch review
2019-04-10 14:02:12cheryl.sabellasetnosy: + cheryl.sabella

messages: + msg339865
versions: + Python 3.8, - Python 3.6
2017-06-09 17:24:32steve.dowersetmessages: + msg295558
2017-06-09 17:17:46chrullrichsetmessages: + msg295557
2017-06-09 17:11:10steve.dowersetpriority: normal -> low

messages: + msg295555
2017-06-09 16:42:26r.david.murraysetnosy: + paul.moore, tim.golden, zach.ware, steve.dower

components: + Windows
versions: + Python 3.7
2017-06-09 09:33:23chrullrichcreate